class AddMultiplayerFieldsToGames < ActiveRecord::Migration[8.1]
  def change
    add_column :games, :status, :string, default: 'recruiting', null: false
    add_column :games, :password_digest, :string, null: true
    add_column :games, :auto_order_mode, :string, default: 'hold', null: false
    add_column :games, :is_solo_mode, :boolean, default: false, null: false
    
    add_index :games, :status
  end
end
